aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJason A. Donenfeld <Jason@zx2c4.com>2019-07-04 11:40:11 +0200
committerJason A. Donenfeld <Jason@zx2c4.com>2019-07-04 11:49:02 +0200
commit73fbea12315008b6adb4640b9bfde4b360a7b35b (patch)
tree23fb65ca785fc8b7f38e96e42d4988f8ec65da4f
parentLimit connection time to 30 seconds (diff)
downloadandroid_kernel_wireguard-73fbea12315008b6adb4640b9bfde4b360a7b35b.tar.xz
android_kernel_wireguard-73fbea12315008b6adb4640b9bfde4b360a7b35b.zip
Skip update if no internet
Requested-by: Sultan Alsawaf <sultan@kerneltoast.com>
-rw-r--r--fetch.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/fetch.sh b/fetch.sh
index 9730f2e..b071b2e 100644
--- a/fetch.sh
+++ b/fetch.sh
@@ -6,6 +6,8 @@ exec 9>.wireguard-fetch-lock
flock -n 9 || exit 0
[[ $(( $(date +%s) - $(stat -c %Y "net/wireguard/.check" 2>/dev/null || echo 0) )) -gt 86400 ]] || exit 0
+[[ $(( $(date +%s) - $(stat -c %Y "net/wireguard/.noconnectivity" 2>/dev/null || echo 0) )) -gt 5 ]] || exit 0
+ping -w 2 -4 -c 1 build.wireguard.com >/dev/null 2>&1 || { touch "net/wireguard/.noconnectivity"; echo "No internet detected, skipping WireGuard update." >&2; exit 0; }
while read -r distro package version _; do
if [[ $distro == upstream && $package == kmodtools ]]; then